Subject: Re: [alsa-devel] don't pass a NULL struct device to DMA API functions

From: Christoph Hellwig <[email-masked]>
Date: Fri, 1 Feb 2019 17:09:57 +0100

On Fri, Feb 01, 2019 at 02:16:08PM +0100, Takashi Iwai wrote:
> Actually there are a bunch of ISA sound drivers that still call
> allocators with NULL device.
> 
> The patch below should address it, although it's only compile-tested.

Oh, I missed these "indirect" calls.  This looks good to me:

Reviewed-by: Christoph Hellwig <[email-masked]>